> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Account Balances

> Get balances for a bank account



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/bank_accounts/{id}/balances
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/bank_accounts/{id}/balances:
    get:
      tags:
        - bank_accounts
      summary: Get bank account available balance
      description: Get balance of a bank account
      operationId: TrioFoundationWeb.Banking.BankAccount.BalanceController.balance
      parameters:
        - description: Bank Account ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: At datetime
          in: query
          name: at_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance_for_bank_account_response'
          description: BalanceResponse
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Balance_for_bank_account_response:
      description: Available balance by bank account(in cents)
      example:
        data:
          available_balance:
            amount: 10
            currency: BRL
      properties:
        data:
          description: Bank account available balance
          properties:
            available_balance:
              description: Available balance
              properties:
                amount:
                  description: Amount integer (in cents)
                  type: integer
                currency:
                  description: Amount currency
                  type: string
              type: object
          type: object
      title: Balance for bank account response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````